import React from 'react';
import { Route, Redirect } from 'react-router';
import * as routes from '../../../constants/routes';
import { connect } from 'react-redux';
import PermissionDenied from './../../public-components/permissionDenied'

const PrivateAdminRouter = ({ component: Component, user, ...rest }) => {
    console.log("Protected user", user);
    alert();
    return (
        <Route
            {...rest}
            render={props => (
                user.isAdmin
                    ? <Component {...props} />
                    : user.data
                        ? <PermissionDenied />
                        : <Redirect to={routes.SIGN_IN} />
            )}
        />
    )
}

const
    mapStateToProps = state => ({
        user: state.user
    })

export default connect(mapStateToProps)(PrivateAdminRouter)