import initialState from './../initialState'
import * as types from './../../constants'

export default function (state = initialState.user, { type, error, payload: data }) {
    switch(type) {
        case types.SIGN_UP_REQUEST: {
            return {
                ...state,
                gettingUser: true
            }
        }
        case types.SIGN_UP_REQUEST_SUCCESS: {
            return {
                ...state,
                gettingUser: false,
                data
            }
        }
        case types.SIGN_UP_REQUEST_FAILURE: {
            return {
                ...state,
                gettingUser: false,
                error
            }
        }

        //

        case types.SIGN_IN_REQUEST: {
            return {
                ...state,
                gettingUser: true
            }
        }
        case types.SIGN_IN_REQUEST_SUCCESS: {
            return {
                ...state,
                gettingUser: false,
                data                
            }
        }
        case types.SIGN_IN_REQUEST_FAILURE: {
            return {
                ...state,
                gettingUser: false,
                error
            }
        }

        //

        case types.SIGN_OUT: {
            return initialState.user
        }
        default: {
            return {...state}
            
        }
    }
}





