import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/signIn'

import { SIGN_IN_URL } from './../../../constants'

// worker-saga for signing in

export default function* ({ payload: requestBody }) {
    try {
        // console.log('received request body from sign-in worker saga', requestBody);
        const payload = yield call(() => 
            fetch(SIGN_IN_URL, {
                method: 'POST',
                body: JSON.stringify(requestBody)
            })
                .then(res => res.json())
        );
        // console.log("Payload", payload);
        yield put(actions.signInRequestSucces(payload));
    }
    catch (exception) {
        yield put(actions.signInRequestFailure(exception.message))
    }
}